indicator-session-service crashed with SIGSEGV in get_user_label()

Bug #1290876 reported by Pawel Suchy on 2014-03-11
260
This bug affects 31 people
Affects Status Importance Assigned to Milestone
indicator-session (Ubuntu)
Medium
Charles Kerr

Bug Description

.

ProblemType: Crash
DistroRelease: Ubuntu 14.04
Package: indicator-session 12.10.5+14.04.20140214-0ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-16.36-generic 3.13.5
Uname: Linux 3.13.0-16-generic i686
ApportVersion: 2.13.3-0ubuntu1
Architecture: i386
CurrentDesktop: Unity
Date: Tue Mar 11 14:48:23 2014
ExecutablePath: /usr/lib/i386-linux-gnu/indicator-session/indicator-session-service
InstallationDate: Installed on 2014-03-05 (5 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Alpha i386 (20140304)
ProcCmdline: /usr/lib/i386-linux-gnu/indicator-session/indicator-session-service
SegvAnalysis:
 Segfault happened at: 0x8056643 <_start+945>: movzbl (%edi),%eax
 PC (0x08056643) ok
 source "(%edi)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: indicator-session
Stacktrace:
 #0 0x08056643 in _start ()
 No symbol table info available.
StacktraceTop: _start ()
Title: indicator-session-service crashed with SIGSEGV in _start()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo

Related branches

Pawel Suchy (pawelsu8) wrote :

StacktraceTop:
 get_user_label (user=0x95589f0, user=0x95589f0) at /build/buildd/indicator-session-12.10.5+14.04.20140214/src/service.c:288
 compare_users_by_label (ga=ga@entry=0x9555a10, gb=gb@entry=0x9555a14) at /build/buildd/indicator-session-12.10.5+14.04.20140214/src/service.c:457
 msort_with_tmp (p=p@entry=0xbfbb1528, b=b@entry=0x9555a10, n=n@entry=2) at /build/buildd/glib2.0-2.39.91/./glib/gqsort.c:93
 msort_with_tmp (p=p@entry=0xbfbb1528, b=0x9555a08, n=n@entry=4) at /build/buildd/glib2.0-2.39.91/./glib/gqsort.c:86
 msort_r (b=<optimized out>, n=<optimized out>, s=4, cmp=0x80565f0 <compare_users_by_label>, arg=0x0) at /build/buildd/glib2.0-2.39.91/./glib/gqsort.c:278

Changed in indicator-session (Ubuntu):
importance: Undecided → Medium
summary: - indicator-session-service crashed with SIGSEGV in _start()
+ indicator-session-service crashed with SIGSEGV in get_user_label()
tags: removed: need-i386-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in indicator-session (Ubuntu):
status: New → Confirmed
Charles Kerr (charlesk) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please answer these questions:

* Is this reproducible?
* If so, what specific steps should we take to recreate this bug?

This will help us to find and resolve the problem.

information type: Private → Public
Changed in indicator-session (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for indicator-session (Ubuntu) because there has been no activity for 60 days.]

Changed in indicator-session (Ubuntu):
status: Incomplete → Expired
Petr Jac (petr-jac) wrote :

Any chance to get fix this bug?
I'm also affected by this bus - running ubuntu 14.04.1 i386 as LTSP. Indicator-session crashs with SIGSEGV (acces memory not permited).
VERSION: 12.10.5+14.04.20140410-0ubuntu1

Changed in indicator-session (Ubuntu):
status: Expired → Confirmed
siggy1 (siggy1) wrote :

I am also affected by this bug. Directly after every login to unity desktop.
Ubuntu 14.04.1 LTS 64bit fresh install
Linux 3.13.0-32-generic #57-Ubuntu SMP Tue Jul 15 03:51:08 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

siggy1 (siggy1) wrote :

After performing the following actions I cannot reproduce the bug any longer:

# apt-get autoremove indicator-cpufreq
reboot
# apt-get install indicator-cpufreq

Will post an update if the bug appears again.

tags: added: vivid
Tom Heller (theller-8) wrote :

Siggy1's code did not fix the problem for me.
Ubuntu 14.04.2 LTS
Linux Ubuntu-Server 3.13.0-46-generic #79-Ubuntu SMP Tue Mar 10 20:06:50 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
This only happens when I log into the server, it does not happen on the clients.

Tom Heller (theller-8) wrote :

After carefully reading the crash log I discovered I needed to upgraded the following packages:
libpwquality-common (1.2.3-1ubuntu1) to 1.2.3-1ubuntu1.1
libpwquality1 (1.2.3-1ubuntu1) to 1.2.3-1ubuntu1.1

No crash yet...

Tom Heller (theller-8) wrote :

Crashes started again. This time the report said:

You have some obsolete package versions installed....

python-requests

So I upgraded python-requests and python3-requests.

Tom Heller (theller-8) wrote :

On a single log out-in there was no crash after I upgraded python-requests and python3-requests.

Charles Kerr (charlesk) on 2015-03-25
Changed in indicator-session (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Charles Kerr (charlesk)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-session - 12.10.5+15.04.20150327-0ubuntu1

---------------
indicator-session (12.10.5+15.04.20150327-0ubuntu1) vivid; urgency=medium

  [ Charles Kerr ]
  * Fix a crash in get_user_label() by testing a string pointer for NULL
    before dereferencing it. (LP: #1290876)
 -- CI Train Bot <email address hidden> Fri, 27 Mar 2015 15:00:16 +0000

Changed in indicator-session (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers